# TColorRGB214 Class Reference
[MCImage]

Inheritance diagram for TColorRGB214:

List of all members.

## Public Member Functions
| TColorRGB214 ()
| TColorRGB214 (const TColorRGB214 &c)
| TColorRGB214 (int32 bl)
void | test ()
| TColorRGB214 (TGray16 r, TGray16 g, TGray16 b)
| TColorRGB214 (const TMCRGBColor &rgb)
uint32 | ToARGB () const
TMCRGBColor | ToMCRGB () const
TGray16 | ToGrayscale () const
void | ToHSV (TColorHSV214 &hsv) const
void | ToHLS (TColorHLS214 &hls) const
void | FromMCRGB (const TMCRGBColor &rgb)
TGray16 & | Red ()
TGray16 & | Green ()
TGray16 & | Blue ()
const TGray16 & | Red () const
const TGray16 & | Green () const
const TGray16 & | Blue () const
TGray16 * | GetRGB ()
TColorRGB214 & | Blend (const TColorRGB214 &val, const TGray16 &alpha)
boolean | BetweenZeroAndOne (void) const
void | SnapToWebsafe (void)
## Friends
class | TColorHSV214
class | TColorHLS214

## Detailed Description

Another RGB color

## Constructor & Destructor Documentation

TColorRGB214::TColorRGB214 | ( |  | ) | `[inline]`

TColorRGB214::TColorRGB214 | ( | const TColorRGB214 & | c | ) | `[inline]`

TColorRGB214::TColorRGB214 | ( | int32 | bl | ) |

TColorRGB214::TColorRGB214 | ( | TGray16 | r,
|  | TGray16 | g,
|  | TGray16 | b |
| ) |  |  | `[inline]`

TColorRGB214::TColorRGB214 | ( | const TMCRGBColor & | rgb | ) | `[inline, explicit]`

## Member Function Documentation

boolean TColorRGB214::BetweenZeroAndOne | ( | void |  | ) | const

TColorRGB214& TColorRGB214::Blend | ( | const TColorRGB214 & | val,
|  | const TGray16 & | alpha |
| ) |  |  | `[inline]`

const TGray16& TColorRGB214::Blue | ( |  | ) | const`[inline]`

TGray16& TColorRGB214::Blue | ( |  | ) | `[inline]`

void TColorRGB214::FromMCRGB | ( | const TMCRGBColor & | rgb | ) |

TGray16* TColorRGB214::GetRGB | ( |  | ) | `[inline]`

const TGray16& TColorRGB214::Green | ( |  | ) | const`[inline]`

TGray16& TColorRGB214::Green | ( |  | ) | `[inline]`

const TGray16& TColorRGB214::Red | ( |  | ) | const`[inline]`

TGray16& TColorRGB214::Red | ( |  | ) | `[inline]`

void TColorRGB214::SnapToWebsafe | ( | void |  | ) |

void TColorRGB214::test | ( |  | ) | `[inline]`

uint32 TColorRGB214::ToARGB | ( |  | ) | const

TGray16 TColorRGB214::ToGrayscale | ( |  | ) | const`[inline]`

void TColorRGB214::ToHLS | ( | TColorHLS214 & | hls | ) | const

void TColorRGB214::ToHSV | ( | TColorHSV214 & | hsv | ) | const

TMCRGBColor TColorRGB214::ToMCRGB | ( |  | ) | const

## Friends And Related Function Documentation

friend class TColorHLS214`[friend]`

friend class TColorHSV214`[friend]`

The documentation for this class was generated from the following file:

- ColorRGB214.h